| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
LTC2380_24.h File Reference
Analog-to-Digital Converters (ADC) » LTC2380-24: Low Noise, High Speed, 24-Bit SAR ADC With Digital Filter

LTC2380-24: Low Noise, High Speed, 24-Bit SAR ADC With Digital Filter. More...

## Detailed Description

LTC2380-24: Low Noise, High Speed, 24-Bit SAR ADC With Digital Filter.

http://www.linear.com/product/LTC2380-24

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Header for LTC2380-24: Low Noise, High Speed, 24-Bit SAR ADC With Digital Filter

Definition in file LTC2380_24.h.

Go to the source code of this file.

## Functions
void | LTC2380_read (int32_t *ptr_adc_code, int16_t *ptr_cycles)
| Reads the LTC2380 and returns 32-bit data in 2's complement format. More...
float | LTC2380_code_to_voltage (int32_t adc_code, uint8_t gain_compression, float vref)
| Calculates the LTC2380 input voltage given the binary data and lsb weight. More...

## Macros
#define | LTC2380_CS QUIKEVAL_CS
| Define the SPI CS pin. More...
LTC2380 Channel Address
#define | LTC2380_ADDRESS 0x00

## Function Documentation

## ◆ LTC2380_code_to_voltage()

float LTC2380_code_to_voltage | ( | int32_t | adc_code,
|  | uint8_t | gain_compression,
|  | float | vref
| ) |  |

Calculates the LTC2380 input voltage given the binary data and lsb weight.

Returns
  Floating point voltage

Parameters

  adc_code | Raw ADC code
  vref | Reference voltage

Definition at line 136 of file LTC2380.cpp.

## ◆ LTC2380_read()

void LTC2380_read | ( | int32_t * | ptr_adc_code,
|  | int16_t * | ptr_cycles
| ) |  |

Reads the LTC2380 and returns 32-bit data in 2's complement format.

Returns
  void

Parameters

  ptr_adc_code | Returns code read from ADC (from previous conversion)

Definition at line 65 of file LTC2380_24.cpp.

## Macro Definition Documentation

## ◆ LTC2380_ADDRESS

#define LTC2380_ADDRESS 0x00

Definition at line 65 of file LTC2380_24.h.

## ◆ LTC2380_CS

#define LTC2380_CS QUIKEVAL_CS

Define the SPI CS pin.

Definition at line 59 of file LTC2380_24.h.